#ifndef NUCSYN_BETA_DECAY_TIMESCALES
#define NUCSYN_BETA_DECAY_TIMESCALES


/**** Decay constants - times in YEARS ****/
//#define XTc99_BETA_DECAY 2.5e5
//#define XAl26_BETA_DECAY 715456.3


//#define XBe7_BETA_DECAY 0.146
//#define XNa22_BETA_DECAY 3.74


/* Gallino's values for beta decay in the envelope */

#define XCa41_BETA_DECAY 1.49e5
#define XNi59_BETA_DECAY 1.41e5
#define XFe60_BETA_DECAY 2.2e6
//#define XAl26_BETA_DECAY 1.03e6
//#define XCl36_BETA_DECAY 4.33e5
//#define XSe79_BETA_DECAY 9.38e4
//#define XKr81_BETA_DECAY 3.03e5
//#define XZr93_BETA_DECAY 2.16e6
//#define XTc99_BETA_DECAY 3.03e5
//#define XCs135_BETA_DECAY 8.29e6

/*
 * Decay lifetimes in years
 * originally from http://www-phys.llnl.gov/Research/RRSN/semr/gsweak/
 * although this no longer exists :-/
 */
#define XNd144_ALPHA_DECAY 3.301e+15
#define XPm145_ALPHA_DECAY 8.496e+09
#define XSm146_ALPHA_DECAY 1.488e+08
#define XSm147_ALPHA_DECAY 1.531e+11
#define XSm148_ALPHA_DECAY 1.009e+16
#define XGd152_ALPHA_DECAY 1.553e+14
#define XOs186_ALPHA_DECAY 2.881e+15
#define XPo210_ALPHA_DECAY 5.464e-01
#define XAg111_BETA_DECAY 2.934e-02
#define XAl26_BETA_DECAY 1.032e+06
#define XAs76_BETA_DECAY 4.259e-03
#define XAs77_BETA_DECAY 6.389e-03
#define XAu198_BETA_DECAY 1.063e-02
#define XAu199_BETA_DECAY 1.238e-02
#define XBa139_BETA_DECAY 2.280e-04
#define XBa140_BETA_DECAY 5.038e-02
#define XBe7_BETA_DECAY 2.099e-01
#define XBi210_BETA_DECAY 1.981e-02
#define XBr80_BETA_DECAY 5.290e-05
#define XBr82_BETA_DECAY 5.814e-03
#define XBr83_BETA_DECAY 3.951e-04
#define XCd109_BETA_DECAY 1.821e+00
#define XCd113_BETA_DECAY 1.112e+16
#define XCd115_BETA_DECAY 8.802e-03
#define XCd117_BETA_DECAY 4.099e-04
#define XCe141_BETA_DECAY 1.283e-01
#define XCe143_BETA_DECAY 5.435e-03
#define XCl36_BETA_DECAY 4.426e+05
#define XCs134_BETA_DECAY 2.989e+00
#define XCs135_BETA_DECAY 3.315e+06
#define XCs136_BETA_DECAY 5.195e-02
#define XCs137_BETA_DECAY 4.335e+01
#define XCu67_BETA_DECAY 1.019e-02
#define XDy165_BETA_DECAY 3.841e-04
#define XDy166_BETA_DECAY 1.343e-02
#define XEr165_BETA_DECAY 1.704e-03
#define XEr169_BETA_DECAY 3.715e-02
#define XEr171_BETA_DECAY 1.238e-03
#define XEr172_BETA_DECAY 8.105e-03
#define XEu152_BETA_DECAY 2.708e+01
#define XEu154_BETA_DECAY 1.238e+01
#define XEu155_BETA_DECAY 6.859e+00
#define XEu156_BETA_DECAY 6.002e-02
#define XEu157_BETA_DECAY 2.495e-03
#define XF17_BETA_DECAY 2.962e-06
#define XGa72_BETA_DECAY 2.313e-03
#define XGa73_BETA_DECAY 8.002e-04
#define XGd153_BETA_DECAY 9.488e-01
#define XGd159_BETA_DECAY 3.047e-03
#define XHf181_BETA_DECAY 1.677e-01
#define XHf182_BETA_DECAY 1.299e+07
#define XHg203_BETA_DECAY 1.842e-01
#define XHo163_BETA_DECAY 6.588e+03
#define XHo164_BETA_DECAY 1.326e-04
#define XHo166_BETA_DECAY 1.089e-02
#define XHo167_BETA_DECAY 5.103e-04
#define XI128_BETA_DECAY 7.369e-05
#define XI129_BETA_DECAY 2.263e+07
#define XI130_BETA_DECAY 2.031e-03
#define XI131_BETA_DECAY 3.169e-02
#define XIn115_BETA_DECAY 6.363e+14
#define XIn117_BETA_DECAY 1.187e-04
#define XIr192_BETA_DECAY 3.077e-01
#define XIr194_BETA_DECAY 3.172e-03
#define XIr195_BETA_DECAY 4.115e-04
#define XK40_BETA_DECAY 2.058e+09
#define XKr81_BETA_DECAY 3.301e+05
#define XKr85_BETA_DECAY 1.553e+01
#define XLa140_BETA_DECAY 6.629e-03
#define XLa141_BETA_DECAY 6.454e-04
#define XLu176_BETA_DECAY 5.380e+10
#define XLu177_BETA_DECAY 2.663e-02
#define XLu178_BETA_DECAY 7.786e-05
#define XMo93_BETA_DECAY 5.772e+03
#define XMo99_BETA_DECAY 1.085e-02
#define XN13_BETA_DECAY 2.732e-05
#define XNa22_BETA_DECAY 3.750e+00
#define XNb94_BETA_DECAY 2.934e+04
#define XNb95_BETA_DECAY 1.384e-01
#define XNb96_BETA_DECAY 3.841e-03
#define XNd147_BETA_DECAY 4.335e-02
#define XNd149_BETA_DECAY 2.855e-04
#define XO15_BETA_DECAY 5.589e-06
#define XOs191_BETA_DECAY 6.082e-02
#define XOs193_BETA_DECAY 4.959e-03
#define XOs194_BETA_DECAY 8.658e+00
#define XP30_BETA_DECAY 6.859e-06
#define XPb205_BETA_DECAY 2.201e+07
#define XPd107_BETA_DECAY 9.375e+06
#define XPd109_BETA_DECAY 2.247e-03
#define XPm145_BETA_DECAY 2.556e+01
#define XPm146_BETA_DECAY 1.209e+01
#define XPm147_BETA_DECAY 3.781e+00
#define XPm148_BETA_DECAY 2.127e-02
#define XPm149_BETA_DECAY 8.730e-03
#define XPr142_BETA_DECAY 3.137e-03
#define XPr143_BETA_DECAY 5.362e-02
#define XPt193_BETA_DECAY 7.202e+01
#define XPt197_BETA_DECAY 3.274e-03
#define XRb86_BETA_DECAY 7.352e-02
#define XRb87_BETA_DECAY 6.844e+10
#define XRe186_BETA_DECAY 1.584e-02
#define XRe187_BETA_DECAY 6.275e+10
#define XRe188_BETA_DECAY 2.804e-03
#define XRh105_BETA_DECAY 5.814e-03
#define XRu103_BETA_DECAY 1.553e-01
#define XRu97_BETA_DECAY 1.104e-02
#define XS30_BETA_DECAY 5.389e-08
#define XSb122_BETA_DECAY 1.104e-02
#define XSb124_BETA_DECAY 7.491e-04
#define XSb125_BETA_DECAY 3.976e+00
#define XSe79_BETA_DECAY 1.584e+06
#define XSm145_BETA_DECAY 1.343e+00
#define XSm151_BETA_DECAY 1.299e+02
#define XSm153_BETA_DECAY 7.617e-03
#define XSn121_BETA_DECAY 5.619e-03
#define XSn123_BETA_DECAY 4.646e-01
#define XSr89_BETA_DECAY 1.993e-01
#define XSr90_BETA_DECAY 4.153e+01
#define XTa179_BETA_DECAY 2.619e+00
#define XTa180_BETA_DECAY 1.625e-03
#define XTa182_BETA_DECAY 4.520e-01
#define XTa183_BETA_DECAY 2.018e-02
#define XTa184_BETA_DECAY 1.434e-03
#define XTb160_BETA_DECAY 2.855e-01
#define XTb161_BETA_DECAY 2.708e-02
#define XTc97_BETA_DECAY 6.071e+06
#define XTc98_BETA_DECAY 6.059e+06
#define XTc99_BETA_DECAY 3.047e+05
#define XTe127_BETA_DECAY 1.538e-03
#define XTl204_BETA_DECAY 5.609e+00
#define XTm170_BETA_DECAY 5.086e-01
#define XTm171_BETA_DECAY 2.780e+00
#define XTm172_BETA_DECAY 1.046e-02
#define XV50_BETA_DECAY 2.438e+17
#define XW181_BETA_DECAY 4.787e-01
#define XW185_BETA_DECAY 2.962e-01
#define XW187_BETA_DECAY 3.903e-03
#define XW188_BETA_DECAY 2.732e-01
#define XXe133_BETA_DECAY 2.071e-02
#define XXe135_BETA_DECAY 1.502e-03
#define XY90_BETA_DECAY 1.053e-02
#define XY91_BETA_DECAY 2.313e-01
#define XYb175_BETA_DECAY 1.650e-02
#define XZr93_BETA_DECAY 2.201e+06
#define XZr95_BETA_DECAY 2.535e-01

#endif // NUCSYN_BETA_DECAY_TIMESCALES
